libsignon-glib fail to authenticate account

Bug #1593805 reported by Renato Araujo Oliveira Filho on 2016-06-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
High
David Barth
Ubuntu Calendar App
Undecided
Unassigned
webapps-sprint
High
Alberto Mardegan
libsignon-glib (Ubuntu)
High
Alberto Mardegan

Bug Description

While using syncevolution to sync multiple calendars, we noticed that some accounts are failing to authenticate.

The error returned by 'libsignon-glib' shows the dbus process as service name, what is different from the app requested.

Check syslog attached.

Related branches

description: updated
description: updated
Bill Filler (bfiller) wrote :

if there is a possibility to get this fixed for ota12 would be great as we are trying to get multi-calendar sync ready and this is a nasty issue.

Changed in account-plugins:
importance: Undecided → High
assignee: nobody → Alberto Mardegan (mardy)
Changed in canonical-devices-system-image:
importance: Undecided → High
assignee: nobody → David Barth (dbarth)
milestone: none → 12
David Barth (dbarth) on 2016-06-20
Changed in account-plugins:
status: New → Triaged
Changed in webapps-sprint:
milestone: none → sprint-24
assignee: nobody → Alberto Mardegan (mardy)
importance: Undecided → High
status: New → Triaged
status: Triaged → In Progress
Changed in account-plugins:
status: Triaged → In Progress
Alberto Mardegan (mardy) wrote :

I'm investigating the issue. The problem seems to be a race condition with signond exiting and GDBusProxy not being notified about that before the next D-Bus method call is made (this happens if the main loop is not being run before making the method call).

I'm working on a fix.

affects: account-plugins → libsignon-glib
affects: libsignon-glib → libsignon-glib (Ubuntu)
David Barth (dbarth) on 2016-06-21
Changed in canonical-devices-system-image:
status: New → In Progress
Alberto Mardegan (mardy) wrote :

Bill, Renato, can you please test silo 14?

Bill Filler (bfiller) wrote :
Download full text (36.5 KiB)

@mardy
tested silo 14, it's still not working correctly. I'm getting the same errors
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/accesscontrolmanagerhelper.cpp 81 isPeerAllowedToUseIdentity "Access control list of identity: 1: [unconfined, com.ubuntu.calendar_calendar_0.5.865].Tokens count: 2#011"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/accesscontrolmanagerhelper.cpp 153 peerHasOneOfAccesses "unconfined"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/accesscontrolmanagerhelper.cpp 168 isPeerAllowedToAccess "unconfined"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: App ID: "unconfined"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: Process "unconfined" access to "unconfined" ALLOWED
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signondaemon.cpp 622 getIdentity Registering identity: 1
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signondaemon.cpp 648 getIdentity DONE REGISTERING IDENTITY
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/accesscontrolmanagerhelper.cpp 81 isPeerAllowedToUseIdentity "Access control list of identity: 1: [unconfined, com.ubuntu.calendar_calendar_0.5.865].Tokens count: 2#011"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/accesscontrolmanagerhelper.cpp 153 peerHasOneOfAccesses "unconfined"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/accesscontrolmanagerhelper.cpp 168 isPeerAllowedToAccess "unconfined"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: App ID: "unconfined"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: Process "unconfined" access to "unconfined" ALLOWED
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signondaemonadaptor.cpp 188 getAuthSessionObjectPath ACM passed, creating AuthSession object
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signonauthsession.cpp 60 createAuthSession
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signonauthsession.cpp 37 SignonAuthSession
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signonauthsession.cpp 44 SignonAuthSession "/com/google/code/AccountsSSO/SingleSignOn/AuthSession_1"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signonauthsession.cpp 75 createAuthSession SignonAuthSession created successfully: "/com/google/code/AccountsSSO/SingleSignOn/AuthSession_1"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signonauthsessionadaptor.cpp 76 process "web_server"
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/credentialsdb.cpp 1374 credentials id: 1 queryPassword: false
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signonsessioncore.cpp 919 startNewRequest Starting the authentication process
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/signonsessioncore.cpp 330 startProcess the number of requests is 1
Jun 28 12:38:21 ubuntu-phablet signond[31025]: ../../../../src/signond/credentialsdb.cpp 1374 credentials id: 1 queryPassword: true
Jun 28 12:38:21 ubuntu-phab...

Changed in canonical-devices-system-image:
milestone: 12 → 13
Alberto Mardegan (mardy) wrote :

Hi Bill and Renato, can you please test silo 14 again? I believe that the issue should now be fixed.

Bill Filler (bfiller) wrote :

@mardy,
tested silo 14 (with silo 73 multi-calendar sync). Working well now! No errors that I was seeing before. +1 to land the fix

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libsignon-glib - 1.14+16.10.20160718-0ubuntu1

---------------
libsignon-glib (1.14+16.10.20160718-0ubuntu1) yakkety; urgency=medium

  * Merge from upstream proposed branch
    - Handle signond quitting on inactivity (LP: #1593805)

 -- Alberto Mardegan <email address hidden> Mon, 18 Jul 2016 07:43:45 +0000

Changed in libsignon-glib (Ubuntu):
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
status: In Progress → Fix Committed
David Barth (dbarth) on 2016-08-09
Changed in webapps-sprint:
status: In Progress → Fix Committed
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments